WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Class BinaryPayoff

    java.lang.Object
      |
      +--webcab.lib.finance.options.exotic.BinaryPayoff

All Implemented Interfaces:
  PayoffFunction, Serializable

public class BinaryPayoff
extends Object
implements PayoffFunction

This class gives an implementation of PayoffFunction for a binary option. A binary call is a contract which pays the holder a specified price at expiry if the asset price is greater than the strike price. Similarly a binary put pays the holder a specified amount if the asset price at expiry is less than the strike price.

See Also:
  Serialized Form

Constructor Summary
`BinaryPayoff(int call_put, int long_short, double strike_price, double high_payoff)` Creates new BinaryPayoff

Method Summary
`double` `getValueAt(double t, double[] x, double[] path_dependent_values, int n)` Computes the value of the payoff function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryPayoff

    public BinaryPayoff(int call_put,
                        int long_short,
                        double strike_price,
                        double high_payoff)
                 throws Exception

  Creates new BinaryPayoff

Parameters:
  `call_put` - Set this parameter to ExoticOptionsConstants.CALL or ExoticOptionsConstants.PUT
  `long_short` - Set this parameter to ExoticOptionsConstants.LONG or ExoticOptionsConstants.SHORT (LONG - means that you buy the option; SHORT means that you are the writer of the option).
  `strike_price` - The strike (exercise) price of the option.
  `high_payoff` - The amount of money the holder receives if the asset price is higher/lower than the strike price for CALL/PUT options respectively.

Method Detail

### getValueAt

    public double getValueAt(double t,
                             double[] x,
                             double[] path_dependent_values,
                             int n)

  Description copied from interface: `PayoffFunction`
  Computes the value of the payoff function. If you don't need one or more parameters which are supplied, you can simply ignore them.

  Specified by:
    `getValueAt` in interface `PayoffFunction`
  Parameters:
    `t` - The time, used only for Bermudan options.
    `x` - A vector containing `n` asset prices.
    `path_dependent_values` - a vector containing the path dependent values. associated with the asset prices. Used only for strongly path dependent options.
    `n` - the total number of assets.
  Returns:
    The value of the payoff function.

WebCab Options and Futures Demo v2.5 (J2SE Edition)